Bug 606056 - RFE: patch to enable python26 build of lfc and dpm on EL5.
RFE: patch to enable python26 build of lfc and dpm on EL5.
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: lcgdm (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-20 06:03 EDT by Steve Traylen
Modified: 2010-07-21 08:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: lcgdm-1.7.4.7-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 03:46:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch EPEL5 spec file to enable python26 builds of dpm and lfc. (7.13 KB, patch)
2010-06-20 06:03 EDT, Steve Traylen
no flags Details | Diff
Patch EPEL5 spec file to enable python26 builds of dpm and lfc. v2 (7.11 KB, patch)
2010-06-21 16:41 EDT, Steve Traylen
no flags Details | Diff

  None (edit)
Description Steve Traylen 2010-06-20 06:03:08 EDT
Created attachment 425423 [details]
Patch EPEL5 spec file to enable python26 builds of dpm and lfc.

This patch to the head of EL-5 spec enables an lfc-python26 and dpm-python26.

The only bit that is ugly is the install of the modules is done
within the .spec file. If you can persuade the build for these
to make only these then make install could be used.

As it stands though it does work.

The extra source file is lifted from an rpm macro in fedora 13 and
gives a more flexible byte_compile command.


$ cat py_byte_compile.sh 
#!/bin/bash
python_binary="$1"
bytecode_compilation_path="$2"
find $bytecode_compilation_path -type f -a -name "*.py" -print0 | xargs -0 $python_binary -c 'import py_compile, sys; [py_compile.compile(f, dfile=f.partition("$RPM_BUILD_ROOT")[2]) for f in sys.argv[1:]]' || :

find $bytecode_compilation_path -type f -a -name "*.py" -print0 | xargs -0 $python_binary -O -c 'import py_compile, sys; [py_compile.compile(f, dfile=f.partition("$RPM_BUILD_ROOT")[2]) for f in sys.argv[1:]]' || :
Comment 1 Steve Traylen 2010-06-21 16:41:23 EDT
Created attachment 425742 [details]
Patch EPEL5 spec file to enable python26 builds of dpm and lfc. v2

Correction, dpm-listspaces should not be in the dpm-python26 as well.
Comment 2 Fedora Update System 2010-06-27 06:51:55 EDT
lcgdm-1.7.4.7-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/lcgdm-1.7.4.7-2.el5
Comment 3 Fedora Update System 2010-06-27 06:52:00 EDT
lcgdm-1.7.4.7-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/lcgdm-1.7.4.7-2.fc13
Comment 4 Fedora Update System 2010-06-27 06:52:05 EDT
lcgdm-1.7.4.7-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/lcgdm-1.7.4.7-2.el4
Comment 5 Fedora Update System 2010-06-27 06:52:09 EDT
lcgdm-1.7.4.7-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/lcgdm-1.7.4.7-2.fc12
Comment 6 Fedora Update System 2010-06-28 13:21:25 EDT
lcgdm-1.7.4.7-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lcgdm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/lcgdm-1.7.4.7-2.fc13
Comment 7 Fedora Update System 2010-06-28 13:22:30 EDT
lcgdm-1.7.4.7-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lcgdm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/lcgdm-1.7.4.7-2.fc12
Comment 8 Fedora Update System 2010-06-30 10:22:48 EDT
lcgdm-1.7.4.7-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lcgdm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/lcgdm-1.7.4.7-2.el5
Comment 9 Fedora Update System 2010-06-30 10:24:07 EDT
lcgdm-1.7.4.7-2.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lcgdm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/lcgdm-1.7.4.7-2.el4
Comment 10 Fedora Update System 2010-07-09 14:56:52 EDT
lcgdm-1.7.4.7-2.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lcgdm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/lcgdm-1.7.4.7-2.el4
Comment 11 Fedora Update System 2010-07-09 14:56:57 EDT
lcgdm-1.7.4.7-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lcgdm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/lcgdm-1.7.4.7-2.el5
Comment 12 Fedora Update System 2010-07-13 03:46:24 EDT
lcgdm-1.7.4.7-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-07-13 03:52:54 EDT
lcgdm-1.7.4.7-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-07-21 08:23:45 EDT
lcgdm-1.7.4.7-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-07-21 08:24:08 EDT
lcgdm-1.7.4.7-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.